Page MenuHomePhabricator

investigate unintended recurring from December 2019
Closed, ResolvedPublic

Description

Look up all recurring canceled by DS this month and see if there are any commonalities. Is there a variant that may be broken or confusing? Were they all part of the December 1st charge and that weird timing caused them to think of their recurring charge and wanted to cancel? These are just ideas. There may be other causes.

Event Timeline

DStrine created this task.Dec 9 2019, 5:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2019, 5:50 PM
spatton added a subscriber: spatton.Dec 9 2019, 5:50 PM
EYener added a subscriber: EYener.Dec 9 2019, 5:51 PM
MBeat33 added a subscriber: MBeat33.Dec 9 2019, 5:51 PM
XenoRyet claimed this task.Dec 9 2019, 11:08 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint X-rays board.

Ok, for recurring donations canceled in December of this year, they don't seem clumped by date and they have a variety of utm_campaigns and utm_sources, so no real commonality there.

It also doesn't appear to be a monthly convert issue. It looks like none of the recurring subscriptions that have been manually canceled since 12/2 are from monthly convert. That seemed hard to believe so I queried a few different ways and it seems to hold up. They all look like old-style recurring.

Are there any other interesting questions anyone can think of for me to ask the database?

MBeat33 added a comment.EditedDec 11 2019, 9:57 PM

Thanks @XenoRyet

they don't seem clumped by date and they have a variety of utm_campaigns and utm_sources, so no real commonality there.

More evidence for the baseline level of donor confusion, I'm thinking.

It looks like none of the recurring subscriptions that have been manually canceled since 12/2 are from monthly convert.

That is kind of weird, we've definitely manually canceled ~200 unintended monthly conversions, so maybe there's either a separate Civi activity for that, or we could create one?

some sample CIDs for unintended monthly conversions manually canceled:

39272053
39195795
38752014
14543163
38183418
37853279

Ok, I've found the issue with my queries and fixed 'em up. I am seeing the monthly convert cancels now, but they still doesn't seem to be any significant commonality by date, utm_campaign, or utm_medium. It is looking like basic donor confusion to me.

XenoRyet closed this task as Resolved.Jan 7 2020, 9:02 PM